COUCHDB(1)

NAME
couchdb - Apache CouchDB database server

SYNOPSIS
couchdb [OPTION]

DESCRIPTION
The couchdb command runs the Apache CouchDB server.

Erlang is called with:

-os_mon
    start_memsup false start_cpu_sup false disk_space_check_interval 1 disk_almost_full_threshold 1 -sasl errlog_type error +K true +A 4

Erlang inherits the environment of this command.

You can override these options using the environment:

    ERL_AFLAGS, ERL_FLAGS, ERL_ZFLAGS

See erl(1) for more information about the environment variables.

The exit status is 0 for success or 1 for failure.

OPTIONS

-h  display a short help message and exit

-V  display version information and exit

-a FILE
    add configuration FILE to chain

-A DIR
    add configuration DIR to chain

-n  reset configuration file chain (including system default)

-c  print configuration file chain and exit

-i  use the interactive Erlang shell

-b  spawn as a background process

-p FILE
    set the background PID FILE (overrides system default)

-r SECONDS
    respawn background process after SECONDS (defaults to no respawn)

-o FILE
    redirect background stdout to FILE (defaults to couchdb.stdout)

-e FILE
    redirect background stderr to FILE (defaults to couchdb.stderr)

-s  display the status of the background process

-k  kill the background process, will respawn if needed

-d  shutdown the background process

REPORTING BUGS
Report bugs at <https://issues.apache.org/jira/browse/COUCHDB>.

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the
License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.